GuidesAPI Reference
API Reference

Creates a new job

Creates a new job from the supplied input and query parameters.

A 201 - CREATED response returns the job's unique ID, which should be used in future operations on the job.

Query Params
string
enum
required
Defaults to hrn:here:service::olp-here:search-geocode-7

The HERE Resource Name identifier of the Service targeted by the job.

Allowed:
string

A user supplied string that denotes one or more jobs.

Can be used to filter job responses on delete and get operations.

string

A user supplied string that specifies the billing tags of the job.

Up to six billing tags can be concatenated either with plus (+) or comma (,) sign to a long string (do not mix). Duplicates will be ignored (taken as single).

Must be between 4-16 characters, case sensitive.

Allowed characters are alpha/numeric ASCII characters [A-Za-z0-9] and the following special characters (not begin or end with): - _.

string
length between 1 and 2
Defaults to |

Character used to delimit fields in the job input.

Will be ignored if the input is supplied as URL query strings. Max length 2 is reserved for \t as delimiter

string
length between 1 and 2
Defaults to |

Character used to delimit fields in the job results.

Certain characters, specifically: ."() (spaces, the period, quotes and parentheses) are not supported as delimiters for output.

string
length between 1 and 1024

A format descriptor used to interpret fields in the job input.

Every record in the input will be split by the input delimiter and compared to the supplied format descriptor during processing, if the record does not conform to the format description the record will be marked as invalid.

Every record will be identified by a record identifier (called recId in the format descriptor). You can choose to have the record identifiers be auto-generated for you by leaving out recId in the header or input format descriptor.

The format descriptor can be left empty if the input has a header describing the format, or is formatted as requests in the URL query format.

string
length between 1 and 1024

A descriptor used to format fields in the job results.

Every result in the output will be split by the output delimiter and formatted according to the supplied descriptor during processing.

Fields supported by the API will be interpreted, those that are not will be ignored. A field is recognized by matching it to an expected name or variants of that name. Character casing (i.e. lowercase or UPPERCASE) is ignored.

General response parameters (such as recId) always precede the service specific parameters in the Job's output format and need not be specified in the format descriptor.

If the format descriptor is absent a default output format is used.

string
length between 1 and 1024

In case the 'outputType=jsonl' the formater supports json filtering in a basic json path format like 'title,id,address.label,address.streets,access.lat,position', where each path segment can either be an object or array property name (e.g. 'access' is an array with sub objects).

  • The single segments are always seperated by a comma ','. The outputDelimiter is ignored in this case.
  • The filtering is case sensitive.
  • If a property is not found it is ignored.
  • Individually selecting objects within an array is not possible, the next path segment to filter will always be applied to all features within an array.
boolean
Defaults to true

A boolean value (true/false) indicating if a job should be started immediately after creation. Default value is true.

string
enum
Defaults to csv

ALPHA The output type for the result file of the submitted batch job. For now csv (default) and jsonl are supported.

Allowed:
string

(BETA) The UUIDs of the notification hooks that are called at the end of a job.

The notifications need to exist up front and be owned by the calling principle. Multiple notifications can be seperated by ','. (Max. 5 per job)

Body Params

The job's input as text, structured and delimited, with an optional header describing the format.

Each line of text is interpreted as a request to the targeted Service.

Every request will be identified by a record identifier (called recId in the input header). You can choose to have the record identifiers be auto-generated for you by leaving out recId in the header or input format descriptor.

Headers
string

User-provided token that can be used to trace a request or a group of requests sent to the service.

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json